// m.miller 11.10.23

#version 3.8; 
#declare quality = 1;
#include "default_materials.inc"


// -----------------------------------------------------------------------------------------
//                      G R O U N D    P L A N E
//------------------------------------------------------------------------------------------   
object {plane {<0,1,0>,0 translate <0,-2,0> } material {M_gray70_matt} no_shadow }



 
// -----------------------------------------------------------------------------------------
//                      D O O R   K N O C K E R
//------------------------------------------------------------------------------------------ 
#include "door_knocker.inc"
object {door_knocker material {M_brass_aged scale .1} translate <0,0,0>}    
//object {door_knocker material {M_gray70_matt} translate <3,0,0>}  



// -----------------------------------------------------------------------------------------
//                      C A M E R A
//------------------------------------------------------------------------------------------ 
background { color rgb< .2,.25,.3> }
#declare cam_A =
    camera {
        up <0, 1, 0>  
        angle 60    
        location <-3,-1,-3> 
        look_at <0,0,0>
    } 

camera {cam_A}




// -----------------------------------------------------------------------------------------
//                      L I G H T S
//------------------------------------------------------------------------------------------ 

#declare light_A =
light_source {
    <0,0,0> 
    #declare light_color = color red .05 green .04 blue .03 ;                      
    light_color * 25                  
    area_light
    <40, 0, 0> <0, 0, 40>         
    6,6                         
    adaptive 1                    
    jitter                        
    circular                      
    orient                     
    fade_distance 20
    fade_power 2     
    translate <20,20,-2>
}   
light_A  
   

#declare light_B =
light_source {
    <0,0,0> 
    #declare light_color = color red .02 green .03 blue .04 ;                      
    light_color * 20                  
    area_light
    <40, 0, 0> <0, 0, 40>         
    6,6                         
    adaptive 1                    
    jitter                        
    circular                      
    orient                     
    fade_distance 20
    fade_power 2     
    translate <0,-20,-2>
}   
light_B



// -----------------------------------------------------------------------------------------
//                      G L O B A L S 
//------------------------------------------------------------------------------------------ 
#switch (quality)
#case (0)
    global_settings {    
        max_trace_level 7
        ambient_light <.013,.01,.01> 
        assumed_gamma 1                 
    }
#break
#case (1)
    #local p_start		=	64/image_width;
    #local p_end_tune	=	4/image_width;
    #local p_end_final	=	2/image_width;
    global_settings {
        max_trace_level 10
        assumed_gamma 1   
        subsurface {}
        radiosity {    
            pretrace_start p_start 
            pretrace_end   p_end_tune  
            count 30                   
            nearest_count 5           
            error_bound 1.0             
            recursion_limit 4 
            low_error_factor 0.5          
            subsurface on 
        }  
    }   
#break
#else
    global_settings {    
        max_trace_level 7
        ambient_light <.013,.01,.01> * .1
        assumed_gamma 1                 
    }
#end
